
//=======================================================
//  This code is generated by Terasic System Builder
//=======================================================

module HELLO(

	//////////// CLOCK //////////
	input 		          		ADC_CLK_10,
	input 		          		MAX10_CLK1_50,
	input 		          		MAX10_CLK2_50,

	//////////// SDRAM //////////
	output		    [12:0]		DRAM_ADDR,
	output		     [1:0]		DRAM_BA,
	output		          		DRAM_CAS_N,
	output		          		DRAM_CKE,
	output		          		DRAM_CLK,
	output		          		DRAM_CS_N,
	inout 		    [15:0]		DRAM_DQ,
	output		          		DRAM_LDQM,
	output		          		DRAM_RAS_N,
	output		          		DRAM_UDQM,
	output		          		DRAM_WE_N,

	//////////// SEG7 //////////
	output		     [7:0]		HEX0,
	output		     [7:0]		HEX1,
	output		     [7:0]		HEX2,
	output		     [7:0]		HEX3,
	output		     [7:0]		HEX4,
	output		     [7:0]		HEX5,

	//////////// KEY //////////
	input 		     [1:0]		KEY,

	//////////// LED //////////
	output		     [9:0]		LEDR,

	//////////// SW //////////
	input 		     [9:0]		SW,

	//////////// VGA //////////
	output		     [3:0]		VGA_B,
	output		     [3:0]		VGA_G,
	output		          		VGA_HS,
	output		     [3:0]		VGA_R,
	output		          		VGA_VS,

	//////////// Accelerometer //////////
	output		          		GSENSOR_CS_N,
	input 		     [2:1]		GSENSOR_INT,
	output		          		GSENSOR_SCLK,
	inout 		          		GSENSOR_SDI,
	inout 		          		GSENSOR_SDO,

	//////////// Arduino //////////
	inout 		    [15:0]		ARDUINO_IO,
	inout 		          		ARDUINO_RESET_N,

	//////////// GPIO, GPIO connect to GPIO Default //////////
	inout 		    [35:0]		GPIO
);



//=======================================================
//  REG/WIRE declarations
//=======================================================


//SEG7_LUT_6 U0	(oSEG0.(SW),oSEG1.(SW),oSEG2.(SW),oSEG3.(SW),oSEG4.(SW),oSEG5.(SW),iDIG );
SEG7_ASCII_LUT U4 (.oSEG(HEX5),	.iDIG(8'h28));	//H
SEG7_ASCII_LUT U3 (.oSEG(HEX4),	.iDIG(8'h25));	//E
SEG7_ASCII_LUT U2 (.oSEG(HEX3),	.iDIG(8'h2c));	//L
SEG7_ASCII_LUT U1 (.oSEG(HEX2),	.iDIG(8'h2c));	//L
SEG7_ASCII_LUT U0 (.oSEG(HEX1),	.iDIG(8'h2f));	//O

//=======================================================
//  Structural coding
//=======================================================



endmodule
